SimpleSelect (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql
Class SimpleSelect

    java.lang.Object
      org.hibernate.sql.SimpleSelect

    public class SimpleSelect

extends Object

An SQL `SELECT` statement with no table joins

Constructor Summary
`SimpleSelect(Dialect dialect)`

Method Summary
`SimpleSelect` | `addColumn(String columnName)`
`SimpleSelect` | `addColumn(String columnName, String alias)`
`SimpleSelect` | `addColumns(String[] columnNames)`
`SimpleSelect` | `addColumns(String[] columnNames, String[] columnAliases)`
`SimpleSelect` | `addColumns(String[] columns, String[] aliases, boolean[] ignore)`
`SimpleSelect` | `addCondition(String[] lhs, String condition)`
`SimpleSelect` | `addCondition(String[] lhs, String op, String[] rhs)`
`SimpleSelect` | `addCondition(String lhs, String condition)`
`SimpleSelect` | `addCondition(String lhs, String op, String rhs)`
`SimpleSelect` | `addWhereToken(String token)`
`SimpleSelect` | `setComment(String comment)`
`SimpleSelect` | `setLockMode(LockMode lockMode)`
`SimpleSelect` | `setLockOptions(LockOptions lockOptions)`
`SimpleSelect` | `setOrderBy(String orderBy)`
`SimpleSelect` | `setTableName(String tableName)`
`String` | `toStatementString()`
`String` | `toWhereClause()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSelect

    public SimpleSelect(Dialect dialect)

Method Detail

### addColumns

    public SimpleSelect addColumns(String[] columnNames,
                                   String[] columnAliases)

### addColumns

    public SimpleSelect addColumns(String[] columns,
                                   String[] aliases,
                                   boolean[] ignore)

### addColumns

    public SimpleSelect addColumns(String[] columnNames)

### addColumn

    public SimpleSelect addColumn(String columnName)

### addColumn

    public SimpleSelect addColumn(String columnName,
                                  String alias)

### setTableName

    public SimpleSelect setTableName(String tableName)

### setLockOptions

    public SimpleSelect setLockOptions(LockOptions lockOptions)

### setLockMode

    public SimpleSelect setLockMode(LockMode lockMode)

### addWhereToken

    public SimpleSelect addWhereToken(String token)

### addCondition

    public SimpleSelect addCondition(String lhs,
                                     String op,
                                     String rhs)

### addCondition

    public SimpleSelect addCondition(String lhs,
                                     String condition)

### addCondition

    public SimpleSelect addCondition(String[] lhs,
                                     String op,
                                     String[] rhs)

### addCondition

    public SimpleSelect addCondition(String[] lhs,
                                     String condition)

### toStatementString

    public String toStatementString()

### toWhereClause

    public String toWhereClause()

### setOrderBy

    public SimpleSelect setOrderBy(String orderBy)

### setComment

    public SimpleSelect setComment(String comment)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.